
#include "spdlog/spdlog.h"
#include "logs/loginit.h"
#include <QApplication>
#include "oscwidget.h"


int main(int argc, char* argv[])
{
    QApplication app(argc, argv);
    /* 初始化日志库 */
    init_log();
    auto logger = spdlog::get("main");
    if(logger == nullptr)
    {
        SPDLOG_ERROR("main logger is nullptr");
        return -1;
    }
    SPDLOG_LOGGER_INFO(logger, "★  ★  ★   Oscilloscope   ★  ★  ★");

    OscWidget w;
    w.show();

    return app.exec();
}



